#!/bin/sh
set -eu

pyvers="$(py3versions -s)"

cd "$AUTOPKGTEST_TMP"

export SQLALCHEMY_DATABASE_URI=postgresql+psycopg2://
for py in ${pyvers}; do
    echo "-=-=-=-=-=-=- Running tests for ${py} -=-=-=-=-=-=-"
    pg_virtualenv ${py} -m nose2 \
        --verbose \
        --logging-level=WARNING \
        --attr '!needs_inet' \
        --ignore-files='test_mongoengine\.py' \
        flask_appbuilder.tests
done
